Skip to main content
GET
Get Session

Path Parameters

session_id
string
required

The id of the resource

Query Parameters

event-time
enum<string>
default:0

Construct the file content adding the event time as prefix when parsing each event

Available options:
0,
1
event_stream
enum<string>

Parse available options for the event stream

  • utf8 - parse the session output (o) and error (e) events as utf-8 content in the session payload
  • base64 - parse the session output (o) and error (e) events as base64 content in the session payload
  • raw-queries - encode each event stream parsing the input of queries based on the database wire protocol (available databases: postgres)
Available options:
utf8,
base64,
raw-queries
events
string[]

Choose the type of events to include

  • i - Input (stdin)
  • o - Output (stdout)
  • e - Error (stderr)
expand
enum<string>

Expand the given attributes

Available options:
event_stream,
session_input
extension
string

The file extension to donwload the session as a file content.

  • csv - it will parse the content to format in csv format
  • json - it will parse the content as a json stream.
  • <any-format> - No special parsing is applied
new_line
enum<string>
default:0

Construct the file content adding a break line when parsing each event

Available options:
0,
1

Response

OK

ai_analysis
object

The AI analysis of the session if it's available

connection
string

The connection name of this resource (it will be deprecated in favor of RoleName)

Example:

"pgdemo"

connection_subtype
string

The subtype of the connection

Example:

"postgres"

connection_tags
object

The tags of the connection resource

Example:
correlation_id
string

External workflow/task identifier that groups sessions belonging to the same logical run

Example:

"task-12345"

end_date
string

When the execution ended. A null value indicates the session is still running

Example:

"2024-07-25T15:56:35.361101Z"

event_size
integer

The stored resource size in bytes. When any parsing is applied to the request the value display the computed parsed size. The pre-computed size will be available in the attribute metrics.event_size

Example:

569

event_stream
integer[]

The stream containing the output of the execution in the following format

[[0.268589438, "i", "ZW52"], ...]

  • <event-time> - relative time in miliseconds to start_date
  • <event-type> - the event type as string (i: input, o: output e: output-error)
  • <base64-content> - the content of the session encoded as base64 string
exit_code
integer

The Linux exit code if it's available

guardrails_info
object[]
read-only

GuardRailsInfo contains information about guardrail rules that matched during the session. A non-empty list indicates the session was blocked by at least one guardrail rule.

id
string<uuid>

The resource unique identifier

Example:

"1CBC8DB5-FBF8-4293-8E35-59A6EEA40207"

identity_type
enum<string>

The type of identity that created this session

  • user - a human user
  • machine - a machine identity (non-human identity)
Available options:
user,
machine
Example:

"user"

integrations_metadata
object

Metadata attributes related to integrations with third party services

labels
object

DEPRECATED in flavor of metrics and metadata

machine_identity_id
string<uuid>

The machine identity ID if this session was created by a machine identity

Example:

"BF997324-5A27-4778-806A-41EE83598494"

metadata
object
metrics
object

Refactor to use a struct

org_id
string<uuid>

The organization unique identifier

Example:

"0CD7F941-2BB8-4F9F-93B0-11620D4652AB"

resource_name
string

The resource name associated with this connection

Example:

"my-resource"

review
object

Review of this session. In case the review doesn't exist this field will be null

role_name
string

The role name (same as connection name)

Example:

"pgdemo"

script
object

The input of the session. This value is only set for the verb exec

Example:
script_size
integer

The input size of the session in bytes

Example:

12

session_batch_id
string

Batch identifier to group sessions that were executed simultaneously

Example:

"batch-abc-123"

start_date
string

When the execution started

Example:

"2024-07-25T15:56:35.317601Z"

status
enum<string>

Status of the resource

  • ready - the resource is ready to be executed, after being approved by a user
  • open - the session started and it's running
  • done - the session has finished
Available options:
open,
ready,
done
type
string

The connection type of this resource

Example:

"database"

user
string

The user email of the resource

user_id
string

The user subject identifier of the resource

Example:

"nJ1xV3ASWGTi7L8Y6zvnKqxNlnZM2TxV1bRdc0706vZ"

user_name
string

The user display name of this resource

Example:

"John Wick"

verb
enum<string>

Verb is how the client has interacted with this resource

  • exec - Is an ad-hoc shell execution
  • connect - Interactive execution, protocol port forwarding or interactive shell session
Available options:
connect,
exec